Name:           gksu-polkit
Version:        0.0.3
Release:        5%{?dist}
Summary:        Command line utility to run programs as root

License:        LGPLv3+
URL:            http://live.gnome.org/gksu
#There is no other download source for the time being
Source0:        http://ftp.de.debian.org/debian/pool/main/g/gksu-polkit/%{name}_%{version}.orig.tar.gz
Source1:        %{name}-systemd_unit
Patch0:         %{name}-dbus.patch

BuildRequires:  dbus-glib-devel
BuildRequires:  gtk2-devel
BuildRequires:  libgee06-devel
BuildRequires:  intltool
BuildRequires:  polkit-devel
BuildRequires:  startup-notification-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
This is a library and application used to ask the user for passwords
to run programs as root.

%package libs

Summary:        Libraries for %{name}

%description libs
Libraries for software which uses %{name}

%package libs-devel
Summary:        Development libraries and headers for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}


%description libs-devel
Development libraries and headers for %{name}-libs

%prep
%setup -q
%patch0 -p0

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'
mkdir -p %{buildroot}/%{_unitdir}
install -p %{SOURCE1} %{buildroot}/%{_unitdir}
#Currently no translations available, although we have a po folder

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig
%postun
%systemd_postun

%files
%{_bindir}/%{name}
%{_sbindir}/gksu-server
%{_datadir}/dbus-1/system-services/org.gnome.Gksu.service
%{_datadir}/%{name}-1/environment/common.variables
%{_datadir}/polkit-1/actions/org.gnome.gksu.policy
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_unitdir}

%files libs
%doc COPYING README THANKS TODO
%{_libdir}/lib%{name}.so*

%files libs-devel
%{_datadir}/gtk-doc
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}-1.pc


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild


* Sat Sep 15 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-4
- Added full systemd support via dbus

* Fri Aug 10 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-3
- Removed find_lang macro, should be readded once there are real po files

* Thu Aug 09 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-2
- Changed the libs requirement for the base package
- The ldconfig commands point now to the libs instead of the main package
- Disable rpath

* Sun Jul 29 2012 Mario Blättermann <mariobl@fedoraproject.org> 0.0.3-1
- Initial version
